# $Revision: 1.20 $, $Date: 2009/11/03 14:24:41 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DH
Summary:	Crypt::DH Perl module - Diffie-Hellman key exchange system implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::DH - implementacja systemu wymiany kluczy Diffie-Hellman
Name:		perl-Crypt-DH
Version:	0.06
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eabecac024d427c670a6e0edbadcec5d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Crypt-Random >= 0.33
BuildRequires:	perl-Math-BigInt >= 1.60
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Crypt-Random >= 0.33
Requires:	perl-Math-BigInt >= 1.60
Requires:	perl-Math-BigInt-GMP
Requires:	perl-Math-BigInt-Pari
Requires:	perl-Math-Pari >= 2.001804
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::DH is a Perl implementation of the Diffie-Hellman key exchange
system. Diffie-Hellman is an algorithm by which two parties can agree
on a shared secret key, known only to them. The secret is negotiated
over an insecure network without the two parties ever passing the
actual shared secret, or their private keys, between them.

%description -l pl.UTF-8
Crypt::DH to perlowa implementacja systemu wymiany kluczy
Diffie-Hellman. Jest to algorytm, w którym dwie strony mogą zgodzić
się na wspólny tajny klucz, znany tylko im. Klucz jest negocjowany po
nie zabezpieczonej sieci bez przesyłania właściwego klucza ani
prywatnych kluczy między stronami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%{perl_vendorlib}/Crypt/DH.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-DH.spec,v $
Revision 1.20  2009/11/03 14:24:41  baggins
- rel 3
- more R

Revision 1.19  2009/11/03 12:21:09  baggins
- rel 2
- updated R/BR

Revision 1.18  2009/11/03 07:49:06  baggins
- rel 1

Revision 1.17  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.15  2006/01/22 12:47:58  agaran
- up to 0.06 rel 0.1

Revision 1.14  2005/06/21 16:23:03  czucz
- updated to 0.05

Revision 1.13  2004/11/03 22:30:12  paladine
- formatting

Revision 1.12  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.8  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:47  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/29 19:56:55  qboosh
- new

